package vo

import (
	"gitea.cdlsxd.cn/sdk/plugin/proto"
)

type OrderStatus string

const (
	OrderSuccess OrderStatus = "SUCCESS"    // 充值成功
	OrderIng     OrderStatus = "RECHARGING" // 充值处理中
	OrderFail    OrderStatus = "FAIL"       // 充值失败
)

var orderStatusMap = map[OrderStatus]proto.Status{
	OrderSuccess: proto.Status_SUCCESS,
	OrderIng:     proto.Status_ING,
	OrderFail:    proto.Status_FAIL,
}

var orderStatusTextMap = map[OrderStatus]string{
	OrderSuccess: "充值成功",
	OrderIng:     "充值处理中",
	OrderFail:    "充值失败",
}

func (o OrderStatus) IsSuccess() bool {
	return o == OrderSuccess
}

func (o OrderStatus) IsIng() bool {
	return o == OrderIng
}

func (o OrderStatus) IsFail() bool {
	return o == OrderFail
}

func (o OrderStatus) GetOrderStatus() proto.Status {
	if resultStatus, ok := orderStatusMap[o]; ok {
		return resultStatus
	}
	return proto.Status_ING
}

func (o OrderStatus) GetOrderStatusText() string {
	if text, ok := orderStatusTextMap[o]; ok {
		return text
	}
	return ""
}
